[hsflinux] Current HSF driver doesn't work

Linuxant support (Jonathan) support at linuxant.com
Tue Jan 31 17:02:32 EST 2006


we are not aware of this issue but it is quite possible that this is an 
issue that the 'patcher' script which uses some bash specific features.

Please edit the file 'scripts/patcher.in' in the source tree of the 
driver and change the first line from:




and then run again the 'hsfconfig --patch' command in a root shell.

Please let us know if this changes did fix the problem or not.


Technical specialist / Linuxant
support at linuxant.com

David Clarke wrote:
> "Linuxant support (Jonathan)" <support at linuxant.com> writes:
>>the current version of the HSF modem driver ( is known to be 
>>not compatible with the 2.6.15.x kernel. A patch to solve this problem 
>>can be installed with the 'hsfconfig --patch' command in a root shell. 
>>The next release of the HSF modem driver will add official support for 
>>the 2.6.15.x kernels.
> I just tried to run hsfconfig --patch as I'm on 2.6.15, however I get
> the following error:
> ./patcher: 79: Syntax error: Bad substitution
> ------------------------------------------------------------------------
> _______________________________________________
> hsflinux mailing list
> hsflinux at lists.linuxant.com
> https://www.linuxant.com/mailman/listinfo/hsflinux

More information about the hsflinux mailing list